Package kiyut.sketsa.canvas.event

## Class TextAdapter

- java.lang.Object
- - kiyut.sketsa.canvas.event.TextAdapter

- All Implemented Interfaces:
    `EventListener`, `TextListener`

      public class TextAdapter
      extends Object
      implements TextListener

  The adapter which receives TextListener events. The methods in this class are empty. This class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.
  Author:
    Kiyut

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `changedUpdate​(TextEvent e)` | Invoked when the value of the text has changed for type CHANGE.
    `void` | `insertUpdate​(TextEvent e)` | Invoked when the value of the text has changed for type INSERT.
    `void` | `removeUpdate​(TextEvent e)` | Invoked when the value of the text has changed for type REMOVE.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextAdapter

          public TextAdapter()

  - ### Method Detail

    - #### changedUpdate

          public void changedUpdate​(TextEvent e)

      Invoked when the value of the text has changed for type CHANGE.
      Specified by:
        `changedUpdate` in interface `TextListener`
      Parameters:
        `e` - TextEvent

    - #### insertUpdate

          public void insertUpdate​(TextEvent e)

      Invoked when the value of the text has changed for type INSERT.
      Specified by:
        `insertUpdate` in interface `TextListener`
      Parameters:
        `e` - TextEvent

    - #### removeUpdate

          public void removeUpdate​(TextEvent e)

      Invoked when the value of the text has changed for type REMOVE.
      Specified by:
        `removeUpdate` in interface `TextListener`
      Parameters:
        `e` - TextEvent